org.springframework.asm

## Interface Opcodes

- All Known Subinterfaces:
    CompilablePropertyAccessor
  All Known Implementing Classes:
    Assign, BeanReference, BooleanLiteral, CodeFlow, CompoundExpression, ConstructorReference, Elvis, FloatLiteral, FunctionReference, Identifier, Indexer, InlineList, InlineMap, IntLiteral, Literal, LongLiteral, MapAccessor, MethodReference, NullLiteral, OpAnd, OpDec, OpDivide, OpEQ, Operator, OperatorBetween, OperatorInstanceof, OperatorMatches, OperatorNot, OperatorPower, OpGE, OpGT, OpInc, OpLE, OpLT, OpMinus, OpModulus, OpMultiply, OpNE, OpOr, OpPlus, Projection, PropertyOrFieldReference, QualifiedIdentifier, RealLiteral, ReflectivePropertyAccessor.OptimalPropertyAccessor, Selection, SpelCompiler, SpelNodeImpl, StringLiteral, Ternary, TypeReference, VariableReference

      public interface Opcodes

  The JVM opcodes, access flags and array type codes. This interface does not define all the JVM opcodes because some opcodes are automatically handled. For example, the xLOAD and xSTORE opcodes are automatically replaced by xLOAD_n and xSTORE_n opcodes when possible. The xLOAD_n and xSTORE_n opcodes are therefore not defined in this interface. Likewise for LDC, automatically replaced by LDC_W or LDC2_W when necessary, WIDE, GOTO_W and JSR_W.
  Author:
    Eric Bruneton, Eugene Kuleshov
  See Also:
    JVMS 6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AALOAD`
    `static int` | `AASTORE`
    `static int` | `ACC_ABSTRACT`
    `static int` | `ACC_ANNOTATION`
    `static int` | `ACC_BRIDGE`
    `static int` | `ACC_DEPRECATED`
    `static int` | `ACC_ENUM`
    `static int` | `ACC_FINAL`
    `static int` | `ACC_INTERFACE`
    `static int` | `ACC_MANDATED`
    `static int` | `ACC_MODULE`
    `static int` | `ACC_NATIVE`
    `static int` | `ACC_OPEN`
    `static int` | `ACC_PRIVATE`
    `static int` | `ACC_PROTECTED`
    `static int` | `ACC_PUBLIC`
    `static int` | `ACC_RECORD`
    `static int` | `ACC_STATIC`
    `static int` | `ACC_STATIC_PHASE`
    `static int` | `ACC_STRICT`
    `static int` | `ACC_SUPER`
    `static int` | `ACC_SYNCHRONIZED`
    `static int` | `ACC_SYNTHETIC`
    `static int` | `ACC_TRANSIENT`
    `static int` | `ACC_TRANSITIVE`
    `static int` | `ACC_VARARGS`
    `static int` | `ACC_VOLATILE`
    `static int` | `ACONST_NULL`
    `static int` | `ALOAD`
    `static int` | `ANEWARRAY`
    `static int` | `ARETURN`
    `static int` | `ARRAYLENGTH`
    `static int` | `ASM10_EXPERIMENTAL` Experimental, use at your own risk.
    `static int` | `ASM4`
    `static int` | `ASM5`
    `static int` | `ASM6`
    `static int` | `ASM7`
    `static int` | `ASM8`
    `static int` | `ASM9`
    `static int` | `ASTORE`
    `static int` | `ATHROW`
    `static int` | `BALOAD`
    `static int` | `BASTORE`
    `static int` | `BIPUSH`
    `static int` | `CALOAD`
    `static int` | `CASTORE`
    `static int` | `CHECKCAST`
    `static int` | `D2F`
    `static int` | `D2I`
    `static int` | `D2L`
    `static int` | `DADD`
    `static int` | `DALOAD`
    `static int` | `DASTORE`
    `static int` | `DCMPG`
    `static int` | `DCMPL`
    `static int` | `DCONST_0`
    `static int` | `DCONST_1`
    `static int` | `DDIV`
    `static int` | `DLOAD`
    `static int` | `DMUL`
    `static int` | `DNEG`
    `static Integer` | `DOUBLE`
    `static int` | `DREM`
    `static int` | `DRETURN`
    `static int` | `DSTORE`
    `static int` | `DSUB`
    `static int` | `DUP`
    `static int` | `DUP_X1`
    `static int` | `DUP_X2`
    `static int` | `DUP2`
    `static int` | `DUP2_X1`
    `static int` | `DUP2_X2`
    `static int` | `F_APPEND` A compressed frame where locals are the same as the locals in the previous frame, except that additional 1-3 locals are defined, and with an empty stack.
    `static int` | `F_CHOP` A compressed frame where locals are the same as the locals in the previous frame, except that the last 1-3 locals are absent and with an empty stack.
    `static int` | `F_FULL` A compressed frame with complete frame data.
    `static int` | `F_NEW` An expanded frame.
    `static int` | `F_SAME` A compressed frame with exactly the same locals as the previous frame and with an empty stack.
    `static int` | `F_SAME1` A compressed frame with exactly the same locals as the previous frame and with a single value on the stack.
    `static int` | `F2D`
    `static int` | `F2I`
    `static int` | `F2L`
    `static int` | `FADD`
    `static int` | `FALOAD`
    `static int` | `FASTORE`
    `static int` | `FCMPG`
    `static int` | `FCMPL`
    `static int` | `FCONST_0`
    `static int` | `FCONST_1`
    `static int` | `FCONST_2`
    `static int` | `FDIV`
    `static int` | `FLOAD`
    `static Integer` | `FLOAT`
    `static int` | `FMUL`
    `static int` | `FNEG`
    `static int` | `FREM`
    `static int` | `FRETURN`
    `static int` | `FSTORE`
    `static int` | `FSUB`
    `static int` | `GETFIELD`
    `static int` | `GETSTATIC`
    `static int` | `GOTO`
    `static int` | `H_GETFIELD`
    `static int` | `H_GETSTATIC`
    `static int` | `H_INVOKEINTERFACE`
    `static int` | `H_INVOKESPECIAL`
    `static int` | `H_INVOKESTATIC`
    `static int` | `H_INVOKEVIRTUAL`
    `static int` | `H_NEWINVOKESPECIAL`
    `static int` | `H_PUTFIELD`
    `static int` | `H_PUTSTATIC`
    `static int` | `I2B`
    `static int` | `I2C`
    `static int` | `I2D`
    `static int` | `I2F`
    `static int` | `I2L`
    `static int` | `I2S`
    `static int` | `IADD`
    `static int` | `IALOAD`
    `static int` | `IAND`
    `static int` | `IASTORE`
    `static int` | `ICONST_0`
    `static int` | `ICONST_1`
    `static int` | `ICONST_2`
    `static int` | `ICONST_3`
    `static int` | `ICONST_4`
    `static int` | `ICONST_5`
    `static int` | `ICONST_M1`
    `static int` | `IDIV`
    `static int` | `IF_ACMPEQ`
    `static int` | `IF_ACMPNE`
    `static int` | `IF_ICMPEQ`
    `static int` | `IF_ICMPGE`
    `static int` | `IF_ICMPGT`
    `static int` | `IF_ICMPLE`
    `static int` | `IF_ICMPLT`
    `static int` | `IF_ICMPNE`
    `static int` | `IFEQ`
    `static int` | `IFGE`
    `static int` | `IFGT`
    `static int` | `IFLE`
    `static int` | `IFLT`
    `static int` | `IFNE`
    `static int` | `IFNONNULL`
    `static int` | `IFNULL`
    `static int` | `IINC`
    `static int` | `ILOAD`
    `static int` | `IMUL`
    `static int` | `INEG`
    `static int` | `INSTANCEOF`
    `static Integer` | `INTEGER`
    `static int` | `INVOKEDYNAMIC`
    `static int` | `INVOKEINTERFACE`
    `static int` | `INVOKESPECIAL`
    `static int` | `INVOKESTATIC`
    `static int` | `INVOKEVIRTUAL`
    `static int` | `IOR`
    `static int` | `IREM`
    `static int` | `IRETURN`
    `static int` | `ISHL`
    `static int` | `ISHR`
    `static int` | `ISTORE`
    `static int` | `ISUB`
    `static int` | `IUSHR`
    `static int` | `IXOR`
    `static int` | `JSR`
    `static int` | `L2D`
    `static int` | `L2F`
    `static int` | `L2I`
    `static int` | `LADD`
    `static int` | `LALOAD`
    `static int` | `LAND`
    `static int` | `LASTORE`
    `static int` | `LCMP`
    `static int` | `LCONST_0`
    `static int` | `LCONST_1`
    `static int` | `LDC`
    `static int` | `LDIV`
    `static int` | `LLOAD`
    `static int` | `LMUL`
    `static int` | `LNEG`
    `static Integer` | `LONG`
    `static int` | `LOOKUPSWITCH`
    `static int` | `LOR`
    `static int` | `LREM`
    `static int` | `LRETURN`
    `static int` | `LSHL`
    `static int` | `LSHR`
    `static int` | `LSTORE`
    `static int` | `LSUB`
    `static int` | `LUSHR`
    `static int` | `LXOR`
    `static int` | `MONITORENTER`
    `static int` | `MONITOREXIT`
    `static int` | `MULTIANEWARRAY`
    `static int` | `NEW`
    `static int` | `NEWARRAY`
    `static int` | `NOP`
    `static Integer` | `NULL`
    `static int` | `POP`
    `static int` | `POP2`
    `static int` | `PUTFIELD`
    `static int` | `PUTSTATIC`
    `static int` | `RET`
    `static int` | `RETURN`
    `static int` | `SALOAD`
    `static int` | `SASTORE`
    `static int` | `SIPUSH`
    `static int` | `SOURCE_DEPRECATED`
    `static int` | `SOURCE_MASK`
    `static int` | `SWAP`
    `static int` | `T_BOOLEAN`
    `static int` | `T_BYTE`
    `static int` | `T_CHAR`
    `static int` | `T_DOUBLE`
    `static int` | `T_FLOAT`
    `static int` | `T_INT`
    `static int` | `T_LONG`
    `static int` | `T_SHORT`
    `static int` | `TABLESWITCH`
    `static Integer` | `TOP`
    `static Integer` | `UNINITIALIZED_THIS`
    `static int` | `V_PREVIEW` Version flag indicating that the class is using 'preview' features.
    `static int` | `V1_1`
    `static int` | `V1_2`
    `static int` | `V1_3`
    `static int` | `V1_4`
    `static int` | `V1_5`
    `static int` | `V1_6`
    `static int` | `V1_7`
    `static int` | `V1_8`
    `static int` | `V10`
    `static int` | `V11`
    `static int` | `V12`
    `static int` | `V13`
    `static int` | `V14`
    `static int` | `V15`
    `static int` | `V16`
    `static int` | `V17`
    `static int` | `V18`
    `static int` | `V19`
    `static int` | `V20`
    `static int` | `V21`
    `static int` | `V9`

- - ### Field Detail

    - #### ASM4

          static final int ASM4

      See Also:
        Constant Field Values

    - #### ASM5

          static final int ASM5

      See Also:
        Constant Field Values

    - #### ASM6

          static final int ASM6

      See Also:
        Constant Field Values

    - #### ASM7

          static final int ASM7

      See Also:
        Constant Field Values

    - #### ASM8

          static final int ASM8

      See Also:
        Constant Field Values

    - #### ASM9

          static final int ASM9

      See Also:
        Constant Field Values

    - #### ASM10_EXPERIMENTAL

          static final int ASM10_EXPERIMENTAL

      Experimental, use at your own risk. This field will be renamed when it becomes stable, this will break existing code using it. Only code compiled with --enable-preview can use this.

      SPRING PATCH: no preview mode check for ASM 10 experimental, enabling it by default.

      See Also:
        Constant Field Values

    - #### SOURCE_DEPRECATED

          static final int SOURCE_DEPRECATED

      See Also:
        Constant Field Values

    - #### SOURCE_MASK

          static final int SOURCE_MASK

      See Also:
        Constant Field Values

    - #### V1_1

          static final int V1_1

      See Also:
        Constant Field Values

    - #### V1_2

          static final int V1_2

      See Also:
        Constant Field Values

    - #### V1_3

          static final int V1_3

      See Also:
        Constant Field Values

    - #### V1_4

          static final int V1_4

      See Also:
        Constant Field Values

    - #### V1_5

          static final int V1_5

      See Also:
        Constant Field Values

    - #### V1_6

          static final int V1_6

      See Also:
        Constant Field Values

    - #### V1_7

          static final int V1_7

      See Also:
        Constant Field Values

    - #### V1_8

          static final int V1_8

      See Also:
        Constant Field Values

    - #### V9

          static final int V9

      See Also:
        Constant Field Values

    - #### V10

          static final int V10

      See Also:
        Constant Field Values

    - #### V11

          static final int V11

      See Also:
        Constant Field Values

    - #### V12

          static final int V12

      See Also:
        Constant Field Values

    - #### V13

          static final int V13

      See Also:
        Constant Field Values

    - #### V14

          static final int V14

      See Also:
        Constant Field Values

    - #### V15

          static final int V15

      See Also:
        Constant Field Values

    - #### V16

          static final int V16

      See Also:
        Constant Field Values

    - #### V17

          static final int V17

      See Also:
        Constant Field Values

    - #### V18

          static final int V18

      See Also:
        Constant Field Values

    - #### V19

          static final int V19

      See Also:
        Constant Field Values

    - #### V20

          static final int V20

      See Also:
        Constant Field Values

    - #### V21

          static final int V21

      See Also:
        Constant Field Values

    - #### V_PREVIEW

          static final int V_PREVIEW

      Version flag indicating that the class is using 'preview' features.

      `version & V_PREVIEW == V_PREVIEW` tests if a version is flagged with `V_PREVIEW`.

      See Also:
        Constant Field Values

    - #### ACC_PUBLIC

          static final int ACC_PUBLIC

      See Also:
        Constant Field Values

    - #### ACC_PRIVATE

          static final int ACC_PRIVATE

      See Also:
        Constant Field Values

    - #### ACC_PROTECTED

          static final int ACC_PROTECTED

      See Also:
        Constant Field Values

    - #### ACC_STATIC

          static final int ACC_STATIC

      See Also:
        Constant Field Values

    - #### ACC_FINAL

          static final int ACC_FINAL

      See Also:
        Constant Field Values

    - #### ACC_SUPER

          static final int ACC_SUPER

      See Also:
        Constant Field Values

    - #### ACC_SYNCHRONIZED

          static final int ACC_SYNCHRONIZED

      See Also:
        Constant Field Values

    - #### ACC_OPEN

          static final int ACC_OPEN

      See Also:
        Constant Field Values

    - #### ACC_TRANSITIVE

          static final int ACC_TRANSITIVE

      See Also:
        Constant Field Values

    - #### ACC_VOLATILE

          static final int ACC_VOLATILE

      See Also:
        Constant Field Values

    - #### ACC_BRIDGE

          static final int ACC_BRIDGE

      See Also:
        Constant Field Values

    - #### ACC_STATIC_PHASE

          static final int ACC_STATIC_PHASE

      See Also:
        Constant Field Values

    - #### ACC_VARARGS

          static final int ACC_VARARGS

      See Also:
        Constant Field Values

    - #### ACC_TRANSIENT

          static final int ACC_TRANSIENT

      See Also:
        Constant Field Values

    - #### ACC_NATIVE

          static final int ACC_NATIVE

      See Also:
        Constant Field Values

    - #### ACC_INTERFACE

          static final int ACC_INTERFACE

      See Also:
        Constant Field Values

    - #### ACC_ABSTRACT

          static final int ACC_ABSTRACT

      See Also:
        Constant Field Values

    - #### ACC_STRICT

          static final int ACC_STRICT

      See Also:
        Constant Field Values

    - #### ACC_SYNTHETIC

          static final int ACC_SYNTHETIC

      See Also:
        Constant Field Values

    - #### ACC_ANNOTATION

          static final int ACC_ANNOTATION

      See Also:
        Constant Field Values

    - #### ACC_ENUM

          static final int ACC_ENUM

      See Also:
        Constant Field Values

    - #### ACC_MANDATED

          static final int ACC_MANDATED

      See Also:
        Constant Field Values

    - #### ACC_MODULE

          static final int ACC_MODULE

      See Also:
        Constant Field Values

    - #### ACC_RECORD

          static final int ACC_RECORD

      See Also:
        Constant Field Values

    - #### ACC_DEPRECATED

          static final int ACC_DEPRECATED

      See Also:
        Constant Field Values

    - #### T_BOOLEAN

          static final int T_BOOLEAN

      See Also:
        Constant Field Values

    - #### T_CHAR

          static final int T_CHAR

      See Also:
        Constant Field Values

    - #### T_FLOAT

          static final int T_FLOAT

      See Also:
        Constant Field Values

    - #### T_DOUBLE

          static final int T_DOUBLE

      See Also:
        Constant Field Values

    - #### T_BYTE

          static final int T_BYTE

      See Also:
        Constant Field Values

    - #### T_SHORT

          static final int T_SHORT

      See Also:
        Constant Field Values

    - #### T_INT

          static final int T_INT

      See Also:
        Constant Field Values

    - #### T_LONG

          static final int T_LONG

      See Also:
        Constant Field Values

    - #### H_GETFIELD

          static final int H_GETFIELD

      See Also:
        Constant Field Values

    - #### H_GETSTATIC

          static final int H_GETSTATIC

      See Also:
        Constant Field Values

    - #### H_PUTFIELD

          static final int H_PUTFIELD

      See Also:
        Constant Field Values

    - #### H_PUTSTATIC

          static final int H_PUTSTATIC

      See Also:
        Constant Field Values

    - #### H_INVOKEVIRTUAL

          static final int H_INVOKEVIRTUAL

      See Also:
        Constant Field Values

    - #### H_INVOKESTATIC

          static final int H_INVOKESTATIC

      See Also:
        Constant Field Values

    - #### H_INVOKESPECIAL

          static final int H_INVOKESPECIAL

      See Also:
        Constant Field Values

    - #### H_NEWINVOKESPECIAL

          static final int H_NEWINVOKESPECIAL

      See Also:
        Constant Field Values

    - #### H_INVOKEINTERFACE

          static final int H_INVOKEINTERFACE

      See Also:
        Constant Field Values

    - #### F_NEW

          static final int F_NEW

      An expanded frame. See `ClassReader.EXPAND_FRAMES`.
      See Also:
        Constant Field Values

    - #### F_FULL

          static final int F_FULL

      A compressed frame with complete frame data.
      See Also:
        Constant Field Values

    - #### F_APPEND

          static final int F_APPEND

      A compressed frame where locals are the same as the locals in the previous frame, except that additional 1-3 locals are defined, and with an empty stack.
      See Also:
        Constant Field Values

    - #### F_CHOP

          static final int F_CHOP

      A compressed frame where locals are the same as the locals in the previous frame, except that the last 1-3 locals are absent and with an empty stack.
      See Also:
        Constant Field Values

    - #### F_SAME

          static final int F_SAME

      A compressed frame with exactly the same locals as the previous frame and with an empty stack.
      See Also:
        Constant Field Values

    - #### F_SAME1

          static final int F_SAME1

      A compressed frame with exactly the same locals as the previous frame and with a single value on the stack.
      See Also:
        Constant Field Values

    - #### TOP

          static final Integer TOP

    - #### INTEGER

          static final Integer INTEGER

    - #### FLOAT

          static final Integer FLOAT

    - #### DOUBLE

          static final Integer DOUBLE

    - #### LONG

          static final Integer LONG

    - #### NULL

          static final Integer NULL

    - #### UNINITIALIZED_THIS

          static final Integer UNINITIALIZED_THIS

    - #### NOP

          static final int NOP

      See Also:
        Constant Field Values

    - #### ACONST_NULL

          static final int ACONST_NULL

      See Also:
        Constant Field Values

    - #### ICONST_M1

          static final int ICONST_M1

      See Also:
        Constant Field Values

    - #### ICONST_0

          static final int ICONST_0

      See Also:
        Constant Field Values

    - #### ICONST_1

          static final int ICONST_1

      See Also:
        Constant Field Values

    - #### ICONST_2

          static final int ICONST_2

      See Also:
        Constant Field Values

    - #### ICONST_3

          static final int ICONST_3

      See Also:
        Constant Field Values

    - #### ICONST_4

          static final int ICONST_4

      See Also:
        Constant Field Values

    - #### ICONST_5

          static final int ICONST_5

      See Also:
        Constant Field Values

    - #### LCONST_0

          static final int LCONST_0

      See Also:
        Constant Field Values

    - #### LCONST_1

          static final int LCONST_1

      See Also:
        Constant Field Values

    - #### FCONST_0

          static final int FCONST_0

      See Also:
        Constant Field Values

    - #### FCONST_1

          static final int FCONST_1

      See Also:
        Constant Field Values

    - #### FCONST_2

          static final int FCONST_2

      See Also:
        Constant Field Values

    - #### DCONST_0

          static final int DCONST_0

      See Also:
        Constant Field Values

    - #### DCONST_1

          static final int DCONST_1

      See Also:
        Constant Field Values

    - #### BIPUSH

          static final int BIPUSH

      See Also:
        Constant Field Values

    - #### SIPUSH

          static final int SIPUSH

      See Also:
        Constant Field Values

    - #### LDC

          static final int LDC

      See Also:
        Constant Field Values

    - #### ILOAD

          static final int ILOAD

      See Also:
        Constant Field Values

    - #### LLOAD

          static final int LLOAD

      See Also:
        Constant Field Values

    - #### FLOAD

          static final int FLOAD

      See Also:
        Constant Field Values

    - #### DLOAD

          static final int DLOAD

      See Also:
        Constant Field Values

    - #### ALOAD

          static final int ALOAD

      See Also:
        Constant Field Values

    - #### IALOAD

          static final int IALOAD

      See Also:
        Constant Field Values

    - #### LALOAD

          static final int LALOAD

      See Also:
        Constant Field Values

    - #### FALOAD

          static final int FALOAD

      See Also:
        Constant Field Values

    - #### DALOAD

          static final int DALOAD

      See Also:
        Constant Field Values

    - #### AALOAD

          static final int AALOAD

      See Also:
        Constant Field Values

    - #### BALOAD

          static final int BALOAD

      See Also:
        Constant Field Values

    - #### CALOAD

          static final int CALOAD

      See Also:
        Constant Field Values

    - #### SALOAD

          static final int SALOAD

      See Also:
        Constant Field Values

    - #### ISTORE

          static final int ISTORE

      See Also:
        Constant Field Values

    - #### LSTORE

          static final int LSTORE

      See Also:
        Constant Field Values

    - #### FSTORE

          static final int FSTORE

      See Also:
        Constant Field Values

    - #### DSTORE

          static final int DSTORE

      See Also:
        Constant Field Values

    - #### ASTORE

          static final int ASTORE

      See Also:
        Constant Field Values

    - #### IASTORE

          static final int IASTORE

      See Also:
        Constant Field Values

    - #### LASTORE

          static final int LASTORE

      See Also:
        Constant Field Values

    - #### FASTORE

          static final int FASTORE

      See Also:
        Constant Field Values

    - #### DASTORE

          static final int DASTORE

      See Also:
        Constant Field Values

    - #### AASTORE

          static final int AASTORE

      See Also:
        Constant Field Values

    - #### BASTORE

          static final int BASTORE

      See Also:
        Constant Field Values

    - #### CASTORE

          static final int CASTORE

      See Also:
        Constant Field Values

    - #### SASTORE

          static final int SASTORE

      See Also:
        Constant Field Values

    - #### POP

          static final int POP

      See Also:
        Constant Field Values

    - #### POP2

          static final int POP2

      See Also:
        Constant Field Values

    - #### DUP

          static final int DUP

      See Also:
        Constant Field Values

    - #### DUP_X1

          static final int DUP_X1

      See Also:
        Constant Field Values

    - #### DUP_X2

          static final int DUP_X2

      See Also:
        Constant Field Values

    - #### DUP2

          static final int DUP2

      See Also:
        Constant Field Values

    - #### DUP2_X1

          static final int DUP2_X1

      See Also:
        Constant Field Values

    - #### DUP2_X2

          static final int DUP2_X2

      See Also:
        Constant Field Values

    - #### SWAP

          static final int SWAP

      See Also:
        Constant Field Values

    - #### IADD

          static final int IADD

      See Also:
        Constant Field Values

    - #### LADD

          static final int LADD

      See Also:
        Constant Field Values

    - #### FADD

          static final int FADD

      See Also:
        Constant Field Values

    - #### DADD

          static final int DADD

      See Also:
        Constant Field Values

    - #### ISUB

          static final int ISUB

      See Also:
        Constant Field Values

    - #### LSUB

          static final int LSUB

      See Also:
        Constant Field Values

    - #### FSUB

          static final int FSUB

      See Also:
        Constant Field Values

    - #### DSUB

          static final int DSUB

      See Also:
        Constant Field Values

    - #### IMUL

          static final int IMUL

      See Also:
        Constant Field Values

    - #### LMUL

          static final int LMUL

      See Also:
        Constant Field Values

    - #### FMUL

          static final int FMUL

      See Also:
        Constant Field Values

    - #### DMUL

          static final int DMUL

      See Also:
        Constant Field Values

    - #### IDIV

          static final int IDIV

      See Also:
        Constant Field Values

    - #### LDIV

          static final int LDIV

      See Also:
        Constant Field Values

    - #### FDIV

          static final int FDIV

      See Also:
        Constant Field Values

    - #### DDIV

          static final int DDIV

      See Also:
        Constant Field Values

    - #### IREM

          static final int IREM

      See Also:
        Constant Field Values

    - #### LREM

          static final int LREM

      See Also:
        Constant Field Values

    - #### FREM

          static final int FREM

      See Also:
        Constant Field Values

    - #### DREM

          static final int DREM

      See Also:
        Constant Field Values

    - #### INEG

          static final int INEG

      See Also:
        Constant Field Values

    - #### LNEG

          static final int LNEG

      See Also:
        Constant Field Values

    - #### FNEG

          static final int FNEG

      See Also:
        Constant Field Values

    - #### DNEG

          static final int DNEG

      See Also:
        Constant Field Values

    - #### ISHL

          static final int ISHL

      See Also:
        Constant Field Values

    - #### LSHL

          static final int LSHL

      See Also:
        Constant Field Values

    - #### ISHR

          static final int ISHR

      See Also:
        Constant Field Values

    - #### LSHR

          static final int LSHR

      See Also:
        Constant Field Values

    - #### IUSHR

          static final int IUSHR

      See Also:
        Constant Field Values

    - #### LUSHR

          static final int LUSHR

      See Also:
        Constant Field Values

    - #### IAND

          static final int IAND

      See Also:
        Constant Field Values

    - #### LAND

          static final int LAND

      See Also:
        Constant Field Values

    - #### IOR

          static final int IOR

      See Also:
        Constant Field Values

    - #### LOR

          static final int LOR

      See Also:
        Constant Field Values

    - #### IXOR

          static final int IXOR

      See Also:
        Constant Field Values

    - #### LXOR

          static final int LXOR

      See Also:
        Constant Field Values

    - #### IINC

          static final int IINC

      See Also:
        Constant Field Values

    - #### I2L

          static final int I2L

      See Also:
        Constant Field Values

    - #### I2F

          static final int I2F

      See Also:
        Constant Field Values

    - #### I2D

          static final int I2D

      See Also:
        Constant Field Values

    - #### L2I

          static final int L2I

      See Also:
        Constant Field Values

    - #### L2F

          static final int L2F

      See Also:
        Constant Field Values

    - #### L2D

          static final int L2D

      See Also:
        Constant Field Values

    - #### F2I

          static final int F2I

      See Also:
        Constant Field Values

    - #### F2L

          static final int F2L

      See Also:
        Constant Field Values

    - #### F2D

          static final int F2D

      See Also:
        Constant Field Values

    - #### D2I

          static final int D2I

      See Also:
        Constant Field Values

    - #### D2L

          static final int D2L

      See Also:
        Constant Field Values

    - #### D2F

          static final int D2F

      See Also:
        Constant Field Values

    - #### I2B

          static final int I2B

      See Also:
        Constant Field Values

    - #### I2C

          static final int I2C

      See Also:
        Constant Field Values

    - #### I2S

          static final int I2S

      See Also:
        Constant Field Values

    - #### LCMP

          static final int LCMP

      See Also:
        Constant Field Values

    - #### FCMPL

          static final int FCMPL

      See Also:
        Constant Field Values

    - #### FCMPG

          static final int FCMPG

      See Also:
        Constant Field Values

    - #### DCMPL

          static final int DCMPL

      See Also:
        Constant Field Values

    - #### DCMPG

          static final int DCMPG

      See Also:
        Constant Field Values

    - #### IFEQ

          static final int IFEQ

      See Also:
        Constant Field Values

    - #### IFNE

          static final int IFNE

      See Also:
        Constant Field Values

    - #### IFLT

          static final int IFLT

      See Also:
        Constant Field Values

    - #### IFGE

          static final int IFGE

      See Also:
        Constant Field Values

    - #### IFGT

          static final int IFGT

      See Also:
        Constant Field Values

    - #### IFLE

          static final int IFLE

      See Also:
        Constant Field Values

    - #### IF_ICMPEQ

          static final int IF_ICMPEQ

      See Also:
        Constant Field Values

    - #### IF_ICMPNE

          static final int IF_ICMPNE

      See Also:
        Constant Field Values

    - #### IF_ICMPLT

          static final int IF_ICMPLT

      See Also:
        Constant Field Values

    - #### IF_ICMPGE

          static final int IF_ICMPGE

      See Also:
        Constant Field Values

    - #### IF_ICMPGT

          static final int IF_ICMPGT

      See Also:
        Constant Field Values

    - #### IF_ICMPLE

          static final int IF_ICMPLE

      See Also:
        Constant Field Values

    - #### IF_ACMPEQ

          static final int IF_ACMPEQ

      See Also:
        Constant Field Values

    - #### IF_ACMPNE

          static final int IF_ACMPNE

      See Also:
        Constant Field Values

    - #### GOTO

          static final int GOTO

      See Also:
        Constant Field Values

    - #### JSR

          static final int JSR

      See Also:
        Constant Field Values

    - #### RET

          static final int RET

      See Also:
        Constant Field Values

    - #### TABLESWITCH

          static final int TABLESWITCH

      See Also:
        Constant Field Values

    - #### LOOKUPSWITCH

          static final int LOOKUPSWITCH

      See Also:
        Constant Field Values

    - #### IRETURN

          static final int IRETURN

      See Also:
        Constant Field Values

    - #### LRETURN

          static final int LRETURN

      See Also:
        Constant Field Values

    - #### FRETURN

          static final int FRETURN

      See Also:
        Constant Field Values

    - #### DRETURN

          static final int DRETURN

      See Also:
        Constant Field Values

    - #### ARETURN

          static final int ARETURN

      See Also:
        Constant Field Values

    - #### RETURN

          static final int RETURN

      See Also:
        Constant Field Values

    - #### GETSTATIC

          static final int GETSTATIC

      See Also:
        Constant Field Values

    - #### PUTSTATIC

          static final int PUTSTATIC

      See Also:
        Constant Field Values

    - #### GETFIELD

          static final int GETFIELD

      See Also:
        Constant Field Values

    - #### PUTFIELD

          static final int PUTFIELD

      See Also:
        Constant Field Values

    - #### INVOKEVIRTUAL

          static final int INVOKEVIRTUAL

      See Also:
        Constant Field Values

    - #### INVOKESPECIAL

          static final int INVOKESPECIAL

      See Also:
        Constant Field Values

    - #### INVOKESTATIC

          static final int INVOKESTATIC

      See Also:
        Constant Field Values

    - #### INVOKEINTERFACE

          static final int INVOKEINTERFACE

      See Also:
        Constant Field Values

    - #### INVOKEDYNAMIC

          static final int INVOKEDYNAMIC

      See Also:
        Constant Field Values

    - #### NEW

          static final int NEW

      See Also:
        Constant Field Values

    - #### NEWARRAY

          static final int NEWARRAY

      See Also:
        Constant Field Values

    - #### ANEWARRAY

          static final int ANEWARRAY

      See Also:
        Constant Field Values

    - #### ARRAYLENGTH

          static final int ARRAYLENGTH

      See Also:
        Constant Field Values

    - #### ATHROW

          static final int ATHROW

      See Also:
        Constant Field Values

    - #### CHECKCAST

          static final int CHECKCAST

      See Also:
        Constant Field Values

    - #### INSTANCEOF

          static final int INSTANCEOF

      See Also:
        Constant Field Values

    - #### MONITORENTER

          static final int MONITORENTER

      See Also:
        Constant Field Values

    - #### MONITOREXIT

          static final int MONITOREXIT

      See Also:
        Constant Field Values

    - #### MULTIANEWARRAY

          static final int MULTIANEWARRAY

      See Also:
        Constant Field Values

    - #### IFNULL

          static final int IFNULL

      See Also:
        Constant Field Values

    - #### IFNONNULL

          static final int IFNONNULL

      See Also:
        Constant Field Values